import * as i0 from '@angular/core';
import { Component, Input, forwardRef, ContentChildren, NgModule, EventEmitter, Output, Directive, Injectable, Pipe, InjectionToken, Inject } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BsAccordionComponent, BsAccordionTabComponent, BsAccordionTabHeaderComponent } from '@mintplayer/ng-bootstrap/accordion';
import { Color as Color$1, UcFirstPipe } from '@mintplayer/ng-bootstrap';
import { BsAlertComponent, BsAlertCloseComponent } from '@mintplayer/ng-bootstrap/alert';
import { BsBadgeComponent } from '@mintplayer/ng-bootstrap/badge';
import { BsBreadcrumbComponent, BsBreadcrumbItemComponent } from '@mintplayer/ng-bootstrap/breadcrumb';
import { BsButtonGroupComponent } from '@mintplayer/ng-bootstrap/button-group';
import { BsButtonTypeDirective } from '@mintplayer/ng-bootstrap/button-type';
import { BsCalendarComponent } from '@mintplayer/ng-bootstrap/calendar';
import { BsCardComponent, BsCardHeaderComponent } from '@mintplayer/ng-bootstrap/card';
import { BsCarouselComponent } from '@mintplayer/ng-bootstrap/carousel';
import { BsCloseComponent } from '@mintplayer/ng-bootstrap/close';
import { BsCodeSnippetComponent } from '@mintplayer/ng-bootstrap/code-snippet';
import { BsDatatableColumnDirective, BsDatatableComponent } from '@mintplayer/ng-bootstrap/datatable';
import '@mintplayer/pagination';
import { BsDatepickerComponent } from '@mintplayer/ng-bootstrap/datepicker';
import { BsDropdownItemComponent, BsDropdownMenuComponent } from '@mintplayer/ng-bootstrap/dropdown-menu';
import { BsFileUploadComponent } from '@mintplayer/ng-bootstrap/file-upload';
import { BsGridComponent } from '@mintplayer/ng-bootstrap/grid';
import { BsInputGroupComponent } from '@mintplayer/ng-bootstrap/input-group';
import { BsListGroupComponent, BsListGroupItemComponent } from '@mintplayer/ng-bootstrap/list-group';
import { BsMultiselectComponent } from '@mintplayer/ng-bootstrap/multiselect';
import { BsNavbarComponent, BsNavbarNavComponent, BsNavbarDropdownComponent, BsNavbarItemComponent, BsNavbarBrandComponent } from '@mintplayer/ng-bootstrap/navbar';
import * as i1$1 from '@mintplayer/ng-bootstrap/offcanvas';
import { BsOffcanvasHostComponent } from '@mintplayer/ng-bootstrap/offcanvas';
import { BsPaginationComponent } from '@mintplayer/ng-bootstrap/pagination';
import { BsPlaceholderComponent } from '@mintplayer/ng-bootstrap/placeholder';
import { BsRangeComponent } from '@mintplayer/ng-bootstrap/range';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { BsSchedulerComponent } from '@mintplayer/ng-bootstrap/scheduler';
import { BsScrollspyDirective, BsScrollspyComponent } from '@mintplayer/ng-bootstrap/scrollspy';
import { BsSelectComponent, BsSelectValueAccessor } from '@mintplayer/ng-bootstrap/select';
import { BsSnackbarService } from '@mintplayer/ng-bootstrap/snackbar';
import { BsTableComponent } from '@mintplayer/ng-bootstrap/table';
import * as i1$2 from '@mintplayer/ng-bootstrap/toast';
import { BsToastContainerComponent, BsToastHeaderComponent, BsToastBodyComponent, BsToastService, BsAddPropertiesPipe, BsToastComponent } from '@mintplayer/ng-bootstrap/toast';
import { ComponentPortal } from '@angular/cdk/portal';
import * as i1$3 from '@angular/cdk/overlay';
import { BsToggleButtonGroupDirective, BsToggleButtonComponent } from '@mintplayer/ng-bootstrap/toggle-button';

class BsAccordionMockComponent {
    constructor() {
        this.highlightActiveTab = false;
    }
}
BsAccordionMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAccordionMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsAccordionMockComponent, selector: "bs-accordion", inputs: { highlightActiveTab: "highlightActiveTab" }, providers: [
        { provide: BsAccordionComponent, useExisting: BsAccordionMockComponent }
    ], ngImport: i0, template: "<p>accordion works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion', providers: [
                        { provide: BsAccordionComponent, useExisting: BsAccordionMockComponent }
                    ], template: "<p>accordion works!</p>\n" }]
        }], propDecorators: { highlightActiveTab: [{
                type: Input
            }] } });

class BsAccordionTabMockComponent {
    constructor(accordion) {
        this.accordion = accordion;
    }
}
BsAccordionTabMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTabMockComponent, deps: [{ token: BsAccordionMockComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsAccordionTabMockComponent, selector: "bs-accordion-tab", providers: [
        { provide: BsAccordionTabComponent, useExisting: BsAccordionTabMockComponent }
    ], queries: [{ propertyName: "childAccordions", predicate: () => forwardRef(() => BsAccordionMockComponent) }], ngImport: i0, template: "<p>accordion-tab works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTabMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion-tab', providers: [
                        { provide: BsAccordionTabComponent, useExisting: BsAccordionTabMockComponent }
                    ], template: "<p>accordion-tab works!</p>\n" }]
        }], ctorParameters: function () { return [{ type: BsAccordionMockComponent }]; }, propDecorators: { childAccordions: [{
                type: ContentChildren,
                args: [() => forwardRef(() => BsAccordionMockComponent)]
            }] } });

class BsAccordionTabHeaderMockComponent {
}
BsAccordionTabHeaderMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTabHeaderMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabHeaderMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsAccordionTabHeaderMockComponent, selector: "bs-accordion-tab-header", providers: [
        { provide: BsAccordionTabHeaderComponent, useExisting: BsAccordionTabHeaderMockComponent }
    ], ngImport: i0, template: "<p>accordion-tab-header works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTabHeaderMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion-tab-header', providers: [
                        { provide: BsAccordionTabHeaderComponent, useExisting: BsAccordionTabHeaderMockComponent }
                    ], template: "<p>accordion-tab-header works!</p>\n" }]
        }] });

class BsAccordionTestingModule {
}
BsAccordionTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAccordionTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTestingModule, declarations: [BsAccordionMockComponent,
        BsAccordionTabMockComponent,
        BsAccordionTabHeaderMockComponent], imports: [CommonModule], exports: [BsAccordionMockComponent,
        BsAccordionTabMockComponent,
        BsAccordionTabHeaderMockComponent] });
BsAccordionTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTestingModule, providers: [
        { provide: BsAccordionComponent, useClass: BsAccordionMockComponent },
        { provide: BsAccordionTabHeaderComponent, useClass: BsAccordionTabHeaderMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAccordionTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsAccordionMockComponent,
                        BsAccordionTabMockComponent,
                        BsAccordionTabHeaderMockComponent,
                    ],
                    imports: [CommonModule],
                    exports: [
                        BsAccordionMockComponent,
                        BsAccordionTabMockComponent,
                        BsAccordionTabHeaderMockComponent,
                    ],
                    providers: [
                        { provide: BsAccordionComponent, useClass: BsAccordionMockComponent },
                        { provide: BsAccordionTabHeaderComponent, useClass: BsAccordionTabHeaderMockComponent },
                    ],
                }]
        }] });

class BsAlertMockComponent {
    constructor() {
        this.type = Color$1.primary;
        this.isVisible = true;
        this.isVisibleChange = new EventEmitter();
        this.afterOpenedOrClosed = new EventEmitter();
    }
}
BsAlertMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAlertMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsAlertMockComponent, selector: "bs-alert", inputs: { type: "type", isVisible: "isVisible" }, outputs: { isVisibleChange: "isVisibleChange", afterOpenedOrClosed: "afterOpenedOrClosed" }, providers: [
        { provide: BsAlertComponent, useExisting: BsAlertMockComponent }
    ], ngImport: i0, template: "<div *ngIf=\"isVisible\">\n    <div class=\"alert mb-0\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-alert', providers: [
                        { provide: BsAlertComponent, useExisting: BsAlertMockComponent }
                    ], template: "<div *ngIf=\"isVisible\">\n    <div class=\"alert mb-0\">\n        <ng-content></ng-content>\n    </div>\n</div>" }]
        }], propDecorators: { type: [{
                type: Input
            }], isVisible: [{
                type: Input
            }], isVisibleChange: [{
                type: Output
            }], afterOpenedOrClosed: [{
                type: Output
            }] } });

class BsAlertCloseMockComponent {
}
BsAlertCloseMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertCloseMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAlertCloseMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsAlertCloseMockComponent, selector: "bs-alert-close", providers: [
        { provide: BsAlertCloseComponent, useExisting: BsAlertCloseMockComponent }
    ], ngImport: i0, template: "<button>\n    <span>\u00D7</span>\n</button>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertCloseMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-alert-close', providers: [
                        { provide: BsAlertCloseComponent, useExisting: BsAlertCloseMockComponent }
                    ], template: "<button>\n    <span>\u00D7</span>\n</button>" }]
        }] });

class BsAlertTestingModule {
}
BsAlertTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAlertTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsAlertTestingModule, declarations: [BsAlertMockComponent, BsAlertCloseMockComponent], imports: [CommonModule], exports: [BsAlertMockComponent, BsAlertCloseMockComponent] });
BsAlertTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertTestingModule, providers: [
        { provide: BsAlertComponent, useClass: BsAlertMockComponent },
        { provide: BsAlertCloseComponent, useClass: BsAlertCloseMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAlertTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsAlertMockComponent, BsAlertCloseMockComponent],
                    imports: [CommonModule],
                    exports: [BsAlertMockComponent, BsAlertCloseMockComponent],
                    providers: [
                        { provide: BsAlertComponent, useClass: BsAlertMockComponent },
                        { provide: BsAlertCloseComponent, useClass: BsAlertCloseMockComponent }
                    ]
                }]
        }] });

class BsBadgeMockComponent {
    constructor() {
        this.type = Color$1.primary;
    }
}
BsBadgeMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBadgeMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsBadgeMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsBadgeMockComponent, selector: "bs-badge", inputs: { type: "type" }, providers: [
        { provide: BsBadgeComponent, useExisting: BsBadgeMockComponent }
    ], ngImport: i0, template: "<span class=\"badge\">\n    <ng-content></ng-content>\n</span>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBadgeMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-badge', providers: [
                        { provide: BsBadgeComponent, useExisting: BsBadgeMockComponent }
                    ], template: "<span class=\"badge\">\n    <ng-content></ng-content>\n</span>" }]
        }], propDecorators: { type: [{
                type: Input
            }] } });

class BsBadgeTestingModule {
}
BsBadgeTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBadgeTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsBadgeTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsBadgeTestingModule, declarations: [BsBadgeMockComponent], imports: [CommonModule], exports: [BsBadgeMockComponent] });
BsBadgeTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBadgeTestingModule, providers: [
        { provide: BsBadgeComponent, useClass: BsBadgeMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBadgeTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsBadgeMockComponent],
                    imports: [CommonModule],
                    exports: [BsBadgeMockComponent],
                    providers: [
                        { provide: BsBadgeComponent, useClass: BsBadgeMockComponent }
                    ]
                }]
        }] });

class BsBreadcrumbMockComponent {
}
BsBreadcrumbMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsBreadcrumbMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsBreadcrumbMockComponent, selector: "bs-breadcrumb", providers: [
        { provide: BsBreadcrumbComponent, useExisting: BsBreadcrumbMockComponent }
    ], ngImport: i0, template: "<nav aria-label=\"breadcrumb\">\n    <ol class=\"breadcrumb\">\n        <ng-content></ng-content>\n    </ol>\n</nav>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-breadcrumb', providers: [
                        { provide: BsBreadcrumbComponent, useExisting: BsBreadcrumbMockComponent }
                    ], template: "<nav aria-label=\"breadcrumb\">\n    <ol class=\"breadcrumb\">\n        <ng-content></ng-content>\n    </ol>\n</nav>" }]
        }] });

class BsBreadcrumbItemMockComponent {
}
BsBreadcrumbItemMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbItemMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsBreadcrumbItemMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsBreadcrumbItemMockComponent, selector: "bs-breadcrumb-item", providers: [
        { provide: BsBreadcrumbItemComponent, useExisting: BsBreadcrumbItemMockComponent }
    ], ngImport: i0, template: "<li>\n    <ng-content></ng-content>\n</li>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbItemMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-breadcrumb-item', providers: [
                        { provide: BsBreadcrumbItemComponent, useExisting: BsBreadcrumbItemMockComponent }
                    ], template: "<li>\n    <ng-content></ng-content>\n</li>" }]
        }] });

class BsBreadcrumbTestingModule {
}
BsBreadcrumbTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsBreadcrumbTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbTestingModule, declarations: [BsBreadcrumbMockComponent, BsBreadcrumbItemMockComponent], imports: [CommonModule], exports: [BsBreadcrumbMockComponent, BsBreadcrumbItemMockComponent] });
BsBreadcrumbTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbTestingModule, providers: [
        { provide: BsBreadcrumbComponent, useClass: BsBreadcrumbMockComponent },
        { provide: BsBreadcrumbItemComponent, useClass: BsBreadcrumbItemMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsBreadcrumbTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsBreadcrumbMockComponent, BsBreadcrumbItemMockComponent],
                    imports: [CommonModule],
                    exports: [BsBreadcrumbMockComponent, BsBreadcrumbItemMockComponent],
                    providers: [
                        { provide: BsBreadcrumbComponent, useClass: BsBreadcrumbMockComponent },
                        { provide: BsBreadcrumbItemComponent, useClass: BsBreadcrumbItemMockComponent },
                    ]
                }]
        }] });

class BsButtonGroupMockComponent {
}
BsButtonGroupMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonGroupMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsButtonGroupMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsButtonGroupMockComponent, selector: "bs-button-group", providers: [
        { provide: BsButtonGroupComponent, useExisting: BsButtonGroupMockComponent }
    ], ngImport: i0, template: "<div>\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonGroupMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-button-group', providers: [
                        { provide: BsButtonGroupComponent, useExisting: BsButtonGroupMockComponent }
                    ], template: "<div>\n    <ng-content></ng-content>\n</div>" }]
        }] });

class BsButtonGroupTestingModule {
}
BsButtonGroupTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonGroupTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsButtonGroupTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsButtonGroupTestingModule, declarations: [BsButtonGroupMockComponent], imports: [CommonModule], exports: [BsButtonGroupMockComponent] });
BsButtonGroupTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonGroupTestingModule, providers: [
        { provide: BsButtonGroupComponent, useClass: BsButtonGroupMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonGroupTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsButtonGroupMockComponent],
                    imports: [CommonModule],
                    exports: [BsButtonGroupMockComponent],
                    providers: [
                        { provide: BsButtonGroupComponent, useClass: BsButtonGroupMockComponent }
                    ]
                }]
        }] });

class BsButtonTypeMockDirective {
    constructor() {
        this.color = Color$1.transparent;
    }
}
BsButtonTypeMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonTypeMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsButtonTypeMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsButtonTypeMockDirective, selector: "button[color],input[type=\"button\"][color],input[type=\"submit\"][color]", inputs: { color: "color" }, providers: [
        { provide: BsButtonTypeDirective, useExisting: BsButtonTypeMockDirective },
    ], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonTypeMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'button[color],input[type="button"][color],input[type="submit"][color]',
                    providers: [
                        { provide: BsButtonTypeDirective, useExisting: BsButtonTypeMockDirective },
                    ]
                }]
        }], propDecorators: { color: [{
                type: Input
            }] } });

class BsButtonTypeTestingModule {
}
BsButtonTypeTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonTypeTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsButtonTypeTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsButtonTypeTestingModule, declarations: [BsButtonTypeMockDirective], imports: [CommonModule], exports: [BsButtonTypeMockDirective] });
BsButtonTypeTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonTypeTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsButtonTypeTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsButtonTypeMockDirective],
                    imports: [CommonModule],
                    exports: [BsButtonTypeMockDirective]
                }]
        }] });

class BsCalendarMockComponent {
}
BsCalendarMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCalendarMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCalendarMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsCalendarMockComponent, selector: "bs-calendar", providers: [
        { provide: BsCalendarComponent, useExisting: BsCalendarMockComponent }
    ], ngImport: i0, template: "<p>calendar works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCalendarMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-calendar', providers: [
                        { provide: BsCalendarComponent, useExisting: BsCalendarMockComponent }
                    ], template: "<p>calendar works!</p>\n" }]
        }] });

class BsCalendarTestingModule {
}
BsCalendarTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCalendarTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCalendarTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsCalendarTestingModule, declarations: [BsCalendarMockComponent], imports: [CommonModule], exports: [BsCalendarMockComponent] });
BsCalendarTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCalendarTestingModule, providers: [
        { provide: BsCalendarComponent, useClass: BsCalendarMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCalendarTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsCalendarMockComponent],
                    imports: [CommonModule],
                    exports: [BsCalendarMockComponent],
                    providers: [
                        { provide: BsCalendarComponent, useClass: BsCalendarMockComponent }
                    ]
                }]
        }] });

class BsCardMockComponent {
}
BsCardMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsCardMockComponent, selector: "bs-card", providers: [
        { provide: BsCardComponent, useExisting: BsCardMockComponent }
    ], ngImport: i0, template: "<div>\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div>\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-card', providers: [
                        { provide: BsCardComponent, useExisting: BsCardMockComponent }
                    ], template: "<div>\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div>\n        <ng-content></ng-content>\n    </div>\n</div>" }]
        }] });

class BsCardHeaderMockComponent {
}
BsCardHeaderMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardHeaderMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardHeaderMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsCardHeaderMockComponent, selector: "bs-card-header", providers: [
        { provide: BsCardHeaderComponent, useExisting: BsCardHeaderMockComponent }
    ], ngImport: i0, template: "<div>\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardHeaderMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-card-header', providers: [
                        { provide: BsCardHeaderComponent, useExisting: BsCardHeaderMockComponent }
                    ], template: "<div>\n    <ng-content></ng-content>\n</div>" }]
        }] });

class BsCardTestingModule {
}
BsCardTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCardTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsCardTestingModule, declarations: [BsCardMockComponent, BsCardHeaderMockComponent], imports: [CommonModule], exports: [BsCardMockComponent, BsCardHeaderMockComponent] });
BsCardTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardTestingModule, providers: [
        { provide: BsCardComponent, useClass: BsCardMockComponent },
        { provide: BsCardHeaderComponent, useClass: BsCardHeaderMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCardTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsCardMockComponent, BsCardHeaderMockComponent],
                    imports: [CommonModule],
                    exports: [BsCardMockComponent, BsCardHeaderMockComponent],
                    providers: [
                        { provide: BsCardComponent, useClass: BsCardMockComponent },
                        { provide: BsCardHeaderComponent, useClass: BsCardHeaderMockComponent }
                    ]
                }]
        }] });

class BsCarouselMockComponent {
    constructor() {
        this.animation = 'slide';
        this.indicators = true;
    }
}
BsCarouselMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCarouselMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsCarouselMockComponent, selector: "bs-carousel", inputs: { animation: "animation", indicators: "indicators" }, providers: [
        { provide: BsCarouselComponent, useExisting: BsCarouselMockComponent }
    ], ngImport: i0, template: "<div>\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-carousel', providers: [
                        { provide: BsCarouselComponent, useExisting: BsCarouselMockComponent }
                    ], template: "<div>\n    <ng-content></ng-content>\n</div>" }]
        }], propDecorators: { animation: [{
                type: Input
            }], indicators: [{
                type: Input
            }] } });

class BsCarouselImageMockDirective {
}
BsCarouselImageMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselImageMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsCarouselImageMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsCarouselImageMockDirective, selector: "[bsCarouselImage]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselImageMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsCarouselImage]'
                }]
        }] });

class BsCarouselTestingModule {
}
BsCarouselTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCarouselTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselTestingModule, declarations: [BsCarouselMockComponent, BsCarouselImageMockDirective], imports: [CommonModule], exports: [BsCarouselMockComponent, BsCarouselImageMockDirective] });
BsCarouselTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselTestingModule, providers: [
        { provide: BsCarouselComponent, useClass: BsCarouselMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCarouselTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsCarouselMockComponent, BsCarouselImageMockDirective],
                    imports: [CommonModule],
                    exports: [BsCarouselMockComponent, BsCarouselImageMockDirective],
                    providers: [
                        { provide: BsCarouselComponent, useClass: BsCarouselMockComponent }
                    ]
                }]
        }] });

class BsCloseMockComponent {
}
BsCloseMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCloseMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCloseMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsCloseMockComponent, selector: "bs-close", providers: [
        { provide: BsCloseComponent, useExisting: BsCloseMockComponent }
    ], ngImport: i0, template: "<button>Close</button>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCloseMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-close', providers: [
                        { provide: BsCloseComponent, useExisting: BsCloseMockComponent }
                    ], template: "<button>Close</button>" }]
        }] });

class BsCloseTestingModule {
}
BsCloseTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCloseTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCloseTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsCloseTestingModule, declarations: [BsCloseMockComponent], imports: [CommonModule], exports: [BsCloseMockComponent] });
BsCloseTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCloseTestingModule, providers: [
        { provide: BsCloseComponent, useClass: BsCloseMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCloseTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsCloseMockComponent],
                    imports: [CommonModule],
                    exports: [BsCloseMockComponent],
                    providers: [
                        { provide: BsCloseComponent, useClass: BsCloseMockComponent }
                    ]
                }]
        }] });

class BsCodeSnippetMockComponent {
    constructor() {
        this.htmlToCopy = '';
    }
}
BsCodeSnippetMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCodeSnippetMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCodeSnippetMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsCodeSnippetMockComponent, selector: "bs-code-snippet", inputs: { htmlToCopy: "htmlToCopy" }, providers: [
        { provide: BsCodeSnippetComponent, useExisting: BsCodeSnippetMockComponent }
    ], ngImport: i0, template: "<p>code-snippet works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCodeSnippetMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-code-snippet', providers: [
                        { provide: BsCodeSnippetComponent, useExisting: BsCodeSnippetMockComponent }
                    ], template: "<p>code-snippet works!</p>\n" }]
        }], propDecorators: { htmlToCopy: [{
                type: Input
            }] } });

class BsCodeSnippetTestingModule {
}
BsCodeSnippetTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCodeSnippetTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCodeSnippetTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsCodeSnippetTestingModule, declarations: [BsCodeSnippetMockComponent], imports: [CommonModule], exports: [BsCodeSnippetMockComponent] });
BsCodeSnippetTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCodeSnippetTestingModule, providers: [
        { provide: BsCodeSnippetComponent, useClass: BsCodeSnippetMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCodeSnippetTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsCodeSnippetMockComponent],
                    imports: [CommonModule],
                    exports: [BsCodeSnippetMockComponent],
                    providers: [
                        { provide: BsCodeSnippetComponent, useClass: BsCodeSnippetMockComponent }
                    ]
                }]
        }] });

var Color;
(function (Color) {
    Color[Color["primary"] = 0] = "primary";
    Color[Color["secondary"] = 1] = "secondary";
    Color[Color["success"] = 2] = "success";
    Color[Color["danger"] = 3] = "danger";
    Color[Color["warning"] = 4] = "warning";
    Color[Color["info"] = 5] = "info";
    Color[Color["light"] = 6] = "light";
    Color[Color["dark"] = 7] = "dark";
    Color[Color["body"] = 8] = "body";
    Color[Color["white"] = 9] = "white";
    Color[Color["transparent"] = 10] = "transparent";
})(Color || (Color = {}));

class BsContextMenuMockDirective {
}
BsContextMenuMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsContextMenuMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsContextMenuMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsContextMenuMockDirective, selector: "[bsContextMenu]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsContextMenuMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsContextMenu]'
                }]
        }] });

class BsContextMenuTestingModule {
}
BsContextMenuTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsContextMenuTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsContextMenuTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsContextMenuTestingModule, declarations: [BsContextMenuMockDirective], imports: [CommonModule], exports: [BsContextMenuMockDirective] });
BsContextMenuTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsContextMenuTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsContextMenuTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsContextMenuMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsContextMenuMockDirective
                    ]
                }]
        }] });

class BsCopyMockDirective {
}
BsCopyMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCopyMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsCopyMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsCopyMockDirective, selector: "[bsCopy]", inputs: { bsCopy: "bsCopy" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCopyMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsCopy]'
                }]
        }], propDecorators: { bsCopy: [{
                type: Input
            }] } });

class BsCopyTestingModule {
}
BsCopyTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCopyTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCopyTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsCopyTestingModule, declarations: [BsCopyMockDirective], imports: [CommonModule], exports: [BsCopyMockDirective] });
BsCopyTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCopyTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsCopyTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCopyMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsCopyMockDirective
                    ]
                }]
        }] });

class BsDatatableColumnMockDirective {
    constructor() {
        this.bsDatatableColumn = { name: '', sortable: true };
        this.templateRef = null;
    }
}
BsDatatableColumnMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableColumnMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsDatatableColumnMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsDatatableColumnMockDirective, selector: "[bsDatatableColumn]", inputs: { bsDatatableColumn: "bsDatatableColumn" }, providers: [
        { provide: BsDatatableColumnDirective, useExisting: BsDatatableColumnMockDirective },
    ], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableColumnMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDatatableColumn]',
                    providers: [
                        { provide: BsDatatableColumnDirective, useExisting: BsDatatableColumnMockDirective },
                    ]
                }]
        }], propDecorators: { bsDatatableColumn: [{
                type: Input
            }] } });

class DatatableSettingsMock {
    constructor(data) {
        this.sortProperty = '';
        this.sortDirection = 'ascending';
        this.perPage = {
            values: [10, 20, 50],
            selected: 20
        };
        this.page = {
            values: [1, 2, 3],
            selected: 1
        };
    }
}

class BsDatatableMockComponent {
    constructor() {
        this.reloadData = new EventEmitter();
        this.settings = new DatatableSettingsMock();
    }
}
BsDatatableMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsDatatableMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsDatatableMockComponent, selector: "bs-datatable", inputs: { settings: "settings", data: "data" }, outputs: { reloadData: "reloadData" }, providers: [
        { provide: BsDatatableComponent, useExisting: BsDatatableMockComponent }
    ], queries: [{ propertyName: "columns", predicate: BsDatatableColumnMockDirective }], ngImport: i0, template: "<div class=\"table-responsive overflow-y-hidden mb-3\">\n    <table class=\"table table-striped table-hover w-100 mb-0\" cellspacing=\"0\" role=\"grid\">\n        <thead>\n            <tr>\n                <th *ngFor=\"let column of columns\" class=\"text-nowrap\" [class.sort]=\"column.bsDatatableColumn.sortable\"\n                    [class.sort-asc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty == column.bsDatatableColumn.name) && (settings.sortDirection == 'ascending')\"\n                    [class.sort-desc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty == column.bsDatatableColumn.name) && (settings.sortDirection == 'descending')\">\n                    <ng-container *ngTemplateOutlet=\"column.templateRef\"></ng-container>\n                </th>\n            </tr>\n        </thead>\n        <tbody></tbody>\n    </table>\n</div>", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-datatable', providers: [
                        { provide: BsDatatableComponent, useExisting: BsDatatableMockComponent }
                    ], template: "<div class=\"table-responsive overflow-y-hidden mb-3\">\n    <table class=\"table table-striped table-hover w-100 mb-0\" cellspacing=\"0\" role=\"grid\">\n        <thead>\n            <tr>\n                <th *ngFor=\"let column of columns\" class=\"text-nowrap\" [class.sort]=\"column.bsDatatableColumn.sortable\"\n                    [class.sort-asc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty == column.bsDatatableColumn.name) && (settings.sortDirection == 'ascending')\"\n                    [class.sort-desc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty == column.bsDatatableColumn.name) && (settings.sortDirection == 'descending')\">\n                    <ng-container *ngTemplateOutlet=\"column.templateRef\"></ng-container>\n                </th>\n            </tr>\n        </thead>\n        <tbody></tbody>\n    </table>\n</div>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { settings: [{
                type: Input
            }], data: [{
                type: Input
            }], reloadData: [{
                type: Output
            }], columns: [{
                type: ContentChildren,
                args: [BsDatatableColumnMockDirective]
            }] } });

class BsRowTemplateMockDirective {
}
BsRowTemplateMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRowTemplateMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsRowTemplateMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsRowTemplateMockDirective, selector: "[bsRowTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRowTemplateMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsRowTemplate]'
                }]
        }] });

class BsDatatableTestingModule {
}
BsDatatableTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDatatableTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableTestingModule, declarations: [BsDatatableMockComponent, BsDatatableColumnMockDirective, BsRowTemplateMockDirective], imports: [CommonModule], exports: [BsDatatableMockComponent, BsDatatableColumnMockDirective, BsRowTemplateMockDirective] });
BsDatatableTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableTestingModule, providers: [
        { provide: BsDatatableComponent, useClass: BsDatatableMockComponent },
        { provide: BsDatatableColumnDirective, useClass: BsDatatableColumnMockDirective },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatatableTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsDatatableMockComponent, BsDatatableColumnMockDirective, BsRowTemplateMockDirective],
                    imports: [CommonModule],
                    exports: [BsDatatableMockComponent, BsDatatableColumnMockDirective, BsRowTemplateMockDirective],
                    providers: [
                        { provide: BsDatatableComponent, useClass: BsDatatableMockComponent },
                        { provide: BsDatatableColumnDirective, useClass: BsDatatableColumnMockDirective },
                    ]
                }]
        }] });

class BsDatepickerMockComponent {
    constructor() {
        this.selectedDate = new Date();
        this.selectedDateChange = new EventEmitter();
    }
}
BsDatepickerMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatepickerMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsDatepickerMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsDatepickerMockComponent, selector: "bs-datepicker", inputs: { selectedDate: "selectedDate" }, outputs: { selectedDateChange: "selectedDateChange" }, providers: [
        { provide: BsDatepickerComponent, useExisting: BsDatepickerMockComponent }
    ], ngImport: i0, template: "Date picker", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatepickerMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-datepicker', providers: [
                        { provide: BsDatepickerComponent, useExisting: BsDatepickerMockComponent }
                    ], template: "Date picker" }]
        }], propDecorators: { selectedDate: [{
                type: Input
            }], selectedDateChange: [{
                type: Output
            }] } });

class BsDatepickerTestingModule {
}
BsDatepickerTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatepickerTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDatepickerTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsDatepickerTestingModule, declarations: [BsDatepickerMockComponent], imports: [CommonModule], exports: [BsDatepickerMockComponent] });
BsDatepickerTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatepickerTestingModule, providers: [
        { provide: BsDatepickerComponent, useClass: BsDatepickerMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDatepickerTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsDatepickerMockComponent],
                    imports: [CommonModule],
                    exports: [BsDatepickerMockComponent],
                    providers: [
                        { provide: BsDatepickerComponent, useClass: BsDatepickerMockComponent }
                    ]
                }]
        }] });

class BsDropdownMockDirective {
    constructor() {
        this.hasBackdrop = false;
        this.closeOnClickOutside = false;
    }
}
BsDropdownMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsDropdownMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsDropdownMockDirective, selector: "[bsDropdown]", inputs: { hasBackdrop: "hasBackdrop", closeOnClickOutside: "closeOnClickOutside" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDropdown]'
                }]
        }], propDecorators: { hasBackdrop: [{
                type: Input
            }], closeOnClickOutside: [{
                type: Input
            }] } });

class BsDropdownMenuMockDirective {
    constructor() { }
}
BsDropdownMenuMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsDropdownMenuMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsDropdownMenuMockDirective, selector: "[bsDropdownMenu]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDropdownMenu]'
                }]
        }], ctorParameters: function () { return []; } });

class BsDropdownToggleMockDirective {
    constructor() { }
}
BsDropdownToggleMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownToggleMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsDropdownToggleMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsDropdownToggleMockDirective, selector: "[bsDropdownToggle]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownToggleMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDropdownToggle]'
                }]
        }], ctorParameters: function () { return []; } });

class BsDropdownTestingModule {
}
BsDropdownTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDropdownTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownTestingModule, declarations: [BsDropdownMockDirective,
        BsDropdownMenuMockDirective,
        BsDropdownToggleMockDirective], imports: [CommonModule], exports: [BsDropdownMockDirective,
        BsDropdownMenuMockDirective,
        BsDropdownToggleMockDirective] });
BsDropdownTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsDropdownMockDirective,
                        BsDropdownMenuMockDirective,
                        BsDropdownToggleMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsDropdownMockDirective,
                        BsDropdownMenuMockDirective,
                        BsDropdownToggleMockDirective
                    ]
                }]
        }] });

class BsDropdownItemMockComponent {
}
BsDropdownItemMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownItemMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsDropdownItemMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsDropdownItemMockComponent, selector: "bs-dropdown-item", providers: [
        { provide: BsDropdownItemComponent, useExisting: BsDropdownItemMockComponent }
    ], ngImport: i0, template: "<p>dropdown-item works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownItemMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-dropdown-item', providers: [
                        { provide: BsDropdownItemComponent, useExisting: BsDropdownItemMockComponent }
                    ], template: "<p>dropdown-item works!</p>\n" }]
        }] });

class BsDropdownMenuMockComponent {
}
BsDropdownMenuMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsDropdownMenuMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsDropdownMenuMockComponent, selector: "bs-dropdown-menu", providers: [
        { provide: BsDropdownMenuComponent, useExisting: BsDropdownMenuMockComponent }
    ], ngImport: i0, template: "<p>dropdown-menu works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-dropdown-menu', providers: [
                        { provide: BsDropdownMenuComponent, useExisting: BsDropdownMenuMockComponent }
                    ], template: "<p>dropdown-menu works!</p>\n" }]
        }] });

class BsDropdownMenuTestingModule {
}
BsDropdownMenuTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDropdownMenuTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuTestingModule, declarations: [BsDropdownItemMockComponent, BsDropdownMenuMockComponent], imports: [CommonModule], exports: [BsDropdownItemMockComponent, BsDropdownMenuMockComponent] });
BsDropdownMenuTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuTestingModule, providers: [
        { provide: BsDropdownItemMockComponent, useClass: BsDropdownItemComponent },
        { provide: BsDropdownMenuMockComponent, useClass: BsDropdownMenuComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsDropdownMenuTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsDropdownItemMockComponent, BsDropdownMenuMockComponent],
                    imports: [CommonModule],
                    exports: [BsDropdownItemMockComponent, BsDropdownMenuMockComponent],
                    providers: [
                        { provide: BsDropdownItemMockComponent, useClass: BsDropdownItemComponent },
                        { provide: BsDropdownMenuMockComponent, useClass: BsDropdownMenuComponent },
                    ]
                }]
        }] });

class EnhancedPasteMockDirective {
}
EnhancedPasteMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: EnhancedPasteMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
EnhancedPasteMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: EnhancedPasteMockDirective, selector: "[bsEnhancedPaste]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: EnhancedPasteMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsEnhancedPaste]'
                }]
        }] });

class EnhancedPasteTestingModule {
}
EnhancedPasteTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: EnhancedPasteTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
EnhancedPasteTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: EnhancedPasteTestingModule, declarations: [EnhancedPasteMockDirective], imports: [CommonModule], exports: [EnhancedPasteMockDirective] });
EnhancedPasteTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: EnhancedPasteTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: EnhancedPasteTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        EnhancedPasteMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        EnhancedPasteMockDirective
                    ]
                }]
        }] });

class BsFileUploadMockComponent {
    constructor() {
        this.files = [];
    }
}
BsFileUploadMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsFileUploadMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsFileUploadMockComponent, selector: "bs-file-upload", inputs: { files: "files" }, providers: [
        { provide: BsFileUploadComponent, useExisting: BsFileUploadMockComponent }
    ], ngImport: i0, template: "<p>file-upload works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-file-upload', providers: [
                        { provide: BsFileUploadComponent, useExisting: BsFileUploadMockComponent }
                    ], template: "<p>file-upload works!</p>\n" }]
        }], propDecorators: { files: [{
                type: Input
            }] } });

class BsFileUploadTemplateMockDirective {
}
BsFileUploadTemplateMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadTemplateMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsFileUploadTemplateMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsFileUploadTemplateMockDirective, selector: "[bsFileUploadTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadTemplateMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsFileUploadTemplate]'
                }]
        }] });

class BsFileUploadTestingModule {
}
BsFileUploadTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsFileUploadTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadTestingModule, declarations: [BsFileUploadMockComponent, BsFileUploadTemplateMockDirective], imports: [CommonModule], exports: [BsFileUploadMockComponent, BsFileUploadTemplateMockDirective] });
BsFileUploadTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadTestingModule, providers: [
        { provide: BsFileUploadComponent, useClass: BsFileUploadMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsFileUploadTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsFileUploadMockComponent, BsFileUploadTemplateMockDirective],
                    imports: [CommonModule],
                    exports: [BsFileUploadMockComponent, BsFileUploadTemplateMockDirective],
                    providers: [
                        { provide: BsFileUploadComponent, useClass: BsFileUploadMockComponent }
                    ]
                }]
        }] });

class BsForMockDirective {
}
BsForMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsForMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsForMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsForMockDirective, selector: "[bsFor]", inputs: { bsFor: "bsFor" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsForMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsFor]'
                }]
        }], propDecorators: { bsFor: [{
                type: Input
            }] } });

class BsForTestingModule {
}
BsForTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsForTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsForTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsForTestingModule, declarations: [BsForMockDirective], imports: [CommonModule], exports: [BsForMockDirective] });
BsForTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsForTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsForTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsForMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsForMockDirective
                    ]
                }]
        }] });

class BsGridMockComponent {
    constructor() {
        this.stopFullWidthAt = 'sm';
    }
}
BsGridMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsGridMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsGridMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsGridMockComponent, selector: "bs-grid", inputs: { stopFullWidthAt: "stopFullWidthAt" }, providers: [
        { provide: BsGridComponent, useExisting: BsGridMockComponent },
    ], ngImport: i0, template: "<div>\n    <ng-content></ng-content>\n</div>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsGridMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-grid', providers: [
                        { provide: BsGridComponent, useExisting: BsGridMockComponent },
                    ], template: "<div>\n    <ng-content></ng-content>\n</div>\n" }]
        }], propDecorators: { stopFullWidthAt: [{
                type: Input
            }] } });

class BsRowMockDirective {
}
BsRowMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRowMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsRowMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsRowMockDirective, selector: "[bsRow]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRowMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsRow]'
                }]
        }] });

class BsColumnMockDirective {
}
BsColumnMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsColumnMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsColumnMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsColumnMockDirective, selector: "[bsColumn]", inputs: { bsColumn: "bsColumn" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsColumnMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsColumn]'
                }]
        }], propDecorators: { bsColumn: [{
                type: Input
            }] } });

class BsGridTestingModule {
}
BsGridTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsGridTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsGridTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsGridTestingModule, declarations: [BsGridMockComponent, BsRowMockDirective, BsColumnMockDirective], imports: [CommonModule], exports: [BsGridMockComponent, BsRowMockDirective, BsColumnMockDirective] });
BsGridTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsGridTestingModule, providers: [
        { provide: BsGridComponent, useClass: BsGridMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsGridTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsGridMockComponent, BsRowMockDirective, BsColumnMockDirective],
                    imports: [CommonModule],
                    exports: [BsGridMockComponent, BsRowMockDirective, BsColumnMockDirective],
                    providers: [
                        { provide: BsGridComponent, useClass: BsGridMockComponent }
                    ]
                }]
        }] });

class BsHasOverlayMockComponent {
}
BsHasOverlayMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsHasOverlayMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsHasOverlayMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsHasOverlayMockComponent, selector: "bs-has-overlay", ngImport: i0, template: "", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsHasOverlayMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-has-overlay', template: "" }]
        }] });

class BsHasOverlayTestingModule {
}
BsHasOverlayTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsHasOverlayTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsHasOverlayTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsHasOverlayTestingModule, declarations: [BsHasOverlayMockComponent], imports: [CommonModule], exports: [BsHasOverlayMockComponent] });
BsHasOverlayTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsHasOverlayTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsHasOverlayTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsHasOverlayMockComponent],
                    imports: [CommonModule],
                    exports: [BsHasOverlayMockComponent],
                }]
        }] });

class HighlightMockDirective {
}
HighlightMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: HighlightMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
HighlightMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: HighlightMockDirective, selector: "[highlight]", inputs: { highlight: "highlight" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: HighlightMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[highlight]'
                }]
        }], propDecorators: { highlight: [{
                type: Input
            }] } });

class HighlightTestingModule {
}
HighlightTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: HighlightTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
HighlightTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: HighlightTestingModule, declarations: [HighlightMockDirective], imports: [CommonModule], exports: [HighlightMockDirective] });
HighlightTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: HighlightTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: HighlightTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        HighlightMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        HighlightMockDirective
                    ]
                }]
        }] });

class BsInputGroupMockComponent {
}
BsInputGroupMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsInputGroupMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsInputGroupMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsInputGroupMockComponent, selector: "bs-input-group", providers: [
        { provide: BsInputGroupComponent, useExisting: BsInputGroupMockComponent },
    ], ngImport: i0, template: "<div>\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsInputGroupMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-input-group', providers: [
                        { provide: BsInputGroupComponent, useExisting: BsInputGroupMockComponent },
                    ], template: "<div>\n    <ng-content></ng-content>\n</div>" }]
        }] });

class BsInputGroupTestingModule {
}
BsInputGroupTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsInputGroupTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsInputGroupTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsInputGroupTestingModule, declarations: [BsInputGroupMockComponent], imports: [CommonModule], exports: [BsInputGroupMockComponent] });
BsInputGroupTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsInputGroupTestingModule, providers: [
        { provide: BsInputGroupComponent, useClass: BsInputGroupMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsInputGroupTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsInputGroupMockComponent],
                    imports: [CommonModule],
                    exports: [BsInputGroupMockComponent],
                    providers: [
                        { provide: BsInputGroupComponent, useClass: BsInputGroupMockComponent },
                    ],
                }]
        }] });

class BsListGroupMockComponent {
}
BsListGroupMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsListGroupMockComponent, selector: "bs-list-group", providers: [
        { provide: BsListGroupComponent, useExisting: BsListGroupMockComponent },
    ], ngImport: i0, template: "<ul>\n    <ng-content></ng-content>\n</ul>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-list-group', providers: [
                        { provide: BsListGroupComponent, useExisting: BsListGroupMockComponent },
                    ], template: "<ul>\n    <ng-content></ng-content>\n</ul>" }]
        }] });

class BsListGroupItemMockComponent {
}
BsListGroupItemMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupItemMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupItemMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsListGroupItemMockComponent, selector: "bs-list-group-item", providers: [
        { provide: BsListGroupItemComponent, useExisting: BsListGroupItemMockComponent },
    ], ngImport: i0, template: "<li>\n    <ng-content></ng-content>\n</li>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupItemMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-list-group-item', providers: [
                        { provide: BsListGroupItemComponent, useExisting: BsListGroupItemMockComponent },
                    ], template: "<li>\n    <ng-content></ng-content>\n</li>" }]
        }] });

class BsListGroupTestingModule {
}
BsListGroupTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsListGroupTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupTestingModule, declarations: [BsListGroupMockComponent, BsListGroupItemMockComponent], imports: [CommonModule], exports: [BsListGroupMockComponent, BsListGroupItemMockComponent] });
BsListGroupTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupTestingModule, providers: [
        { provide: BsListGroupComponent, useClass: BsListGroupMockComponent },
        { provide: BsListGroupItemComponent, useClass: BsListGroupItemMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsListGroupTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsListGroupMockComponent, BsListGroupItemMockComponent],
                    imports: [CommonModule],
                    exports: [BsListGroupMockComponent, BsListGroupItemMockComponent],
                    providers: [
                        { provide: BsListGroupComponent, useClass: BsListGroupMockComponent },
                        { provide: BsListGroupItemComponent, useClass: BsListGroupItemMockComponent },
                    ]
                }]
        }] });

class BsModalHostMockComponent {
    constructor() {
        this.isOpen = false;
        this.isOpenChange = new EventEmitter();
    }
}
BsModalHostMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsModalHostMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsModalHostMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsModalHostMockComponent, selector: "bs-modal", inputs: { isOpen: "isOpen" }, outputs: { isOpenChange: "isOpenChange" }, ngImport: i0, template: "modal", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsModalHostMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-modal', template: "modal" }]
        }], propDecorators: { isOpen: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }] } });

class BsModalTestingModule {
}
BsModalTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsModalTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsModalTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsModalTestingModule, declarations: [BsModalHostMockComponent], imports: [CommonModule], exports: [BsModalHostMockComponent] });
BsModalTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsModalTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsModalTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsModalHostMockComponent],
                    imports: [CommonModule],
                    exports: [BsModalHostMockComponent],
                }]
        }] });

class BsMultiselectMockComponent {
    constructor() {
        this.items = [];
        this.selectedItems = [];
    }
}
BsMultiselectMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsMultiselectMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsMultiselectMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsMultiselectMockComponent, selector: "bs-multiselect", inputs: { items: "items", selectedItems: "selectedItems" }, providers: [
        { provide: BsMultiselectComponent, useExisting: BsMultiselectMockComponent },
    ], ngImport: i0, template: "<p>multiselect works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsMultiselectMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-multiselect', providers: [
                        { provide: BsMultiselectComponent, useExisting: BsMultiselectMockComponent },
                    ], template: "<p>multiselect works!</p>\n" }]
        }], propDecorators: { items: [{
                type: Input
            }], selectedItems: [{
                type: Input
            }] } });

class BsMultiselectTestingModule {
}
BsMultiselectTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsMultiselectTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsMultiselectTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsMultiselectTestingModule, declarations: [BsMultiselectMockComponent], imports: [CommonModule], exports: [BsMultiselectMockComponent] });
BsMultiselectTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsMultiselectTestingModule, providers: [
        { provide: BsMultiselectComponent, useClass: BsMultiselectMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsMultiselectTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsMultiselectMockComponent],
                    imports: [CommonModule],
                    exports: [BsMultiselectMockComponent],
                    providers: [
                        { provide: BsMultiselectComponent, useClass: BsMultiselectMockComponent },
                    ]
                }]
        }] });

class BsNavbarMockComponent {
}
BsNavbarMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsNavbarMockComponent, selector: "bs-navbar", providers: [
        { provide: BsNavbarComponent, useExisting: BsNavbarMockComponent }
    ], ngImport: i0, template: "<p>navbar works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar', providers: [
                        { provide: BsNavbarComponent, useExisting: BsNavbarMockComponent }
                    ], template: "<p>navbar works!</p>\n" }]
        }] });

class BsNavbarNavMockComponent {
}
BsNavbarNavMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarNavMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarNavMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsNavbarNavMockComponent, selector: "bs-navbar-nav", inputs: { collapse: "collapse" }, providers: [
        { provide: BsNavbarNavComponent, useExisting: BsNavbarNavMockComponent }
    ], ngImport: i0, template: "<p>navbar-nav works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarNavMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-nav', providers: [
                        { provide: BsNavbarNavComponent, useExisting: BsNavbarNavMockComponent }
                    ], template: "<p>navbar-nav works!</p>\n" }]
        }], propDecorators: { collapse: [{
                type: Input
            }] } });

class BsNavbarDropdownMockComponent {
}
BsNavbarDropdownMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarDropdownMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarDropdownMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsNavbarDropdownMockComponent, selector: "bs-navbar-dropdown", providers: [
        { provide: BsNavbarDropdownComponent, useExisting: BsNavbarDropdownMockComponent }
    ], ngImport: i0, template: "<ul>\n    <ng-content></ng-content>\n</ul>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarDropdownMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-dropdown', providers: [
                        { provide: BsNavbarDropdownComponent, useExisting: BsNavbarDropdownMockComponent }
                    ], template: "<ul>\n    <ng-content></ng-content>\n</ul>" }]
        }] });

class BsNavbarItemMockComponent {
}
BsNavbarItemMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarItemMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarItemMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsNavbarItemMockComponent, selector: "bs-navbar-item", providers: [
        { provide: BsNavbarItemComponent, useExisting: BsNavbarItemMockComponent }
    ], queries: [{ propertyName: "dropdowns", predicate: BsNavbarDropdownComponent }], ngImport: i0, template: "<li>\n    <ng-content></ng-content>\n</li>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarItemMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-item', providers: [
                        { provide: BsNavbarItemComponent, useExisting: BsNavbarItemMockComponent }
                    ], template: "<li>\n    <ng-content></ng-content>\n</li>" }]
        }], propDecorators: { dropdowns: [{
                type: ContentChildren,
                args: [BsNavbarDropdownComponent]
            }] } });

class NavbarContentMockDirective {
}
NavbarContentMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NavbarContentMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
NavbarContentMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: NavbarContentMockDirective, selector: "[navbarContent]", inputs: { navbar: ["navbarContent", "navbar"] }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NavbarContentMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[navbarContent]'
                }]
        }], propDecorators: { navbar: [{
                type: Input,
                args: ['navbarContent']
            }] } });

class BsNavbarBrandMockComponent {
}
BsNavbarBrandMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarBrandMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarBrandMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsNavbarBrandMockComponent, selector: "bs-navbar-brand", providers: [
        { provide: BsNavbarBrandComponent, useExisting: BsNavbarBrandMockComponent }
    ], ngImport: i0, template: "<p>navbar-brand works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarBrandMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-brand', providers: [
                        { provide: BsNavbarBrandComponent, useExisting: BsNavbarBrandMockComponent }
                    ], template: "<p>navbar-brand works!</p>\n" }]
        }] });

class BsNavbarTestingModule {
}
BsNavbarTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsNavbarTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarTestingModule, declarations: [BsNavbarMockComponent,
        BsNavbarNavMockComponent,
        BsNavbarDropdownMockComponent,
        BsNavbarItemMockComponent,
        NavbarContentMockDirective,
        BsNavbarBrandMockComponent], imports: [CommonModule], exports: [BsNavbarMockComponent,
        BsNavbarNavMockComponent,
        BsNavbarDropdownMockComponent,
        BsNavbarItemMockComponent,
        NavbarContentMockDirective,
        BsNavbarBrandMockComponent] });
BsNavbarTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsNavbarTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsNavbarMockComponent,
                        BsNavbarNavMockComponent,
                        BsNavbarDropdownMockComponent,
                        BsNavbarItemMockComponent,
                        NavbarContentMockDirective,
                        BsNavbarBrandMockComponent,
                    ],
                    imports: [CommonModule],
                    exports: [
                        BsNavbarMockComponent,
                        BsNavbarNavMockComponent,
                        BsNavbarDropdownMockComponent,
                        BsNavbarItemMockComponent,
                        NavbarContentMockDirective,
                        BsNavbarBrandMockComponent,
                    ],
                }]
        }] });

class BsOffcanvasHostMockComponent {
    constructor() {
        this.backdropClick = new EventEmitter();
        this.state = 'closed';
        this.stateChange = new EventEmitter();
        this.position = 'top';
        this.hasBackdrop = true;
    }
}
BsOffcanvasHostMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasHostMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsOffcanvasHostMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsOffcanvasHostMockComponent, selector: "bs-offcanvas", inputs: { state: "state", position: "position", hasBackdrop: "hasBackdrop" }, outputs: { backdropClick: "backdropClick", stateChange: "stateChange" }, providers: [
        { provide: BsOffcanvasHostComponent, useExisting: BsOffcanvasHostMockComponent }
    ], ngImport: i0, template: "<p>offcanvas-host works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasHostMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-offcanvas', providers: [
                        { provide: BsOffcanvasHostComponent, useExisting: BsOffcanvasHostMockComponent }
                    ], template: "<p>offcanvas-host works!</p>\n" }]
        }], propDecorators: { backdropClick: [{
                type: Output
            }], state: [{
                type: Input
            }], stateChange: [{
                type: Output
            }], position: [{
                type: Input
            }], hasBackdrop: [{
                type: Input
            }] } });

class BsOffcanvasContentMockDirective {
    constructor(offcanvasHost, template) {
        offcanvasHost.content = template;
    }
}
BsOffcanvasContentMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasContentMockDirective, deps: [{ token: i1$1.BsOffcanvasHostComponent }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsOffcanvasContentMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsOffcanvasContentMockDirective, selector: "[bsOffcanvasContent]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasContentMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsOffcanvasContent]'
                }]
        }], ctorParameters: function () { return [{ type: i1$1.BsOffcanvasHostComponent }, { type: i0.TemplateRef }]; } });

class BsOffcanvasTestingModule {
}
BsOffcanvasTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsOffcanvasTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasTestingModule, declarations: [BsOffcanvasHostMockComponent, BsOffcanvasContentMockDirective], imports: [CommonModule], exports: [BsOffcanvasHostMockComponent, BsOffcanvasContentMockDirective] });
BsOffcanvasTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasTestingModule, providers: [
        { provide: BsOffcanvasHostMockComponent, useClass: BsOffcanvasHostMockComponent }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsOffcanvasTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsOffcanvasHostMockComponent, BsOffcanvasContentMockDirective],
                    imports: [CommonModule],
                    exports: [BsOffcanvasHostMockComponent, BsOffcanvasContentMockDirective],
                    providers: [
                        { provide: BsOffcanvasHostMockComponent, useClass: BsOffcanvasHostMockComponent }
                    ]
                }]
        }] });

class BsPaginationMockComponent {
    constructor() {
        this.showArrows = true;
        this.numberOfBoxes = null;
        this.pageNumbers = [10];
        this.selectedPageNumber = 10;
        this.selectedPageNumberChange = new EventEmitter();
    }
}
BsPaginationMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPaginationMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsPaginationMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsPaginationMockComponent, selector: "bs-pagination", inputs: { showArrows: "showArrows", numberOfBoxes: "numberOfBoxes", pageNumbers: "pageNumbers", selectedPageNumber: "selectedPageNumber" }, outputs: { selectedPageNumberChange: "selectedPageNumberChange" }, providers: [
        { provide: BsPaginationComponent, useExisting: BsPaginationMockComponent },
    ], ngImport: i0, template: "<ul>\n    <li *ngFor=\"let pageNumber of pageNumbers\">\n        <a class=\"page-link\">{{ pageNumber }}</a>\n    </li>\n</ul>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPaginationMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-pagination', providers: [
                        { provide: BsPaginationComponent, useExisting: BsPaginationMockComponent },
                    ], template: "<ul>\n    <li *ngFor=\"let pageNumber of pageNumbers\">\n        <a class=\"page-link\">{{ pageNumber }}</a>\n    </li>\n</ul>\n" }]
        }], propDecorators: { showArrows: [{
                type: Input
            }], numberOfBoxes: [{
                type: Input
            }], pageNumbers: [{
                type: Input
            }], selectedPageNumber: [{
                type: Input
            }], selectedPageNumberChange: [{
                type: Output
            }] } });

class BsPaginationTestingModule {
}
BsPaginationTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPaginationTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsPaginationTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsPaginationTestingModule, declarations: [BsPaginationMockComponent], imports: [CommonModule], exports: [BsPaginationMockComponent] });
BsPaginationTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPaginationTestingModule, providers: [
        { provide: BsPaginationComponent, useClass: BsPaginationMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPaginationTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsPaginationMockComponent],
                    imports: [CommonModule],
                    exports: [BsPaginationMockComponent],
                    providers: [
                        { provide: BsPaginationComponent, useClass: BsPaginationMockComponent },
                    ]
                }]
        }] });

class BsPlaceholderMockComponent {
    constructor() {
        this.isLoading = false;
    }
}
BsPlaceholderMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPlaceholderMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsPlaceholderMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsPlaceholderMockComponent, selector: "bs-placeholder", inputs: { isLoading: "isLoading" }, providers: [
        { provide: BsPlaceholderComponent, useExisting: BsPlaceholderMockComponent },
    ], ngImport: i0, template: "<ng-content></ng-content>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPlaceholderMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-placeholder', providers: [
                        { provide: BsPlaceholderComponent, useExisting: BsPlaceholderMockComponent },
                    ], template: "<ng-content></ng-content>" }]
        }], propDecorators: { isLoading: [{
                type: Input
            }] } });

class BsPlaceholderTestingModule {
}
BsPlaceholderTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPlaceholderTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsPlaceholderTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsPlaceholderTestingModule, declarations: [BsPlaceholderMockComponent], imports: [CommonModule], exports: [BsPlaceholderMockComponent] });
BsPlaceholderTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPlaceholderTestingModule, providers: [
        { provide: BsPlaceholderComponent, useClass: BsPlaceholderMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPlaceholderTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsPlaceholderMockComponent],
                    imports: [CommonModule],
                    exports: [BsPlaceholderMockComponent],
                    providers: [
                        { provide: BsPlaceholderComponent, useClass: BsPlaceholderMockComponent },
                    ]
                }]
        }] });

class BsPopoverMockDirective {
    constructor() {
        this.bsPopover = 'top';
    }
}
BsPopoverMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPopoverMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsPopoverMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsPopoverMockDirective, selector: "*[bsPopover]", inputs: { bsPopover: "bsPopover" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPopoverMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[bsPopover]',
                }]
        }], propDecorators: { bsPopover: [{
                type: Input
            }] } });

class BsPopoverTestingModule {
}
BsPopoverTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPopoverTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsPopoverTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsPopoverTestingModule, declarations: [BsPopoverMockDirective], imports: [CommonModule], exports: [BsPopoverMockDirective] });
BsPopoverTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPopoverTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsPopoverTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsPopoverMockDirective],
                    imports: [CommonModule],
                    exports: [BsPopoverMockDirective]
                }]
        }] });

class BsProgressMockComponent {
    constructor() {
        this.height = 30;
        this.isIndeterminate = false;
    }
}
BsProgressMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsProgressMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsProgressMockComponent, selector: "bs-progress", inputs: { height: "height", isIndeterminate: "isIndeterminate" }, ngImport: i0, template: "<div>\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-progress', template: "<div>\n    <ng-content></ng-content>\n</div>" }]
        }], propDecorators: { height: [{
                type: Input
            }], isIndeterminate: [{
                type: Input
            }] } });

class BsProgressBarMockComponent {
    constructor() {
        this.minimum = 0;
        this.maximum = 100;
        this.value = 50;
        this.color = Color;
        this.striped = false;
        this.animated = false;
    }
}
BsProgressBarMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressBarMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsProgressBarMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsProgressBarMockComponent, selector: "bs-progress-bar", inputs: { minimum: "minimum", maximum: "maximum", value: "value", color: "color", striped: "striped", animated: "animated" }, ngImport: i0, template: "<p>progress-bar works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressBarMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-progress-bar', template: "<p>progress-bar works!</p>\n" }]
        }], propDecorators: { minimum: [{
                type: Input
            }], maximum: [{
                type: Input
            }], value: [{
                type: Input
            }], color: [{
                type: Input
            }], striped: [{
                type: Input
            }], animated: [{
                type: Input
            }] } });

class BsProgressBarTestingModule {
}
BsProgressBarTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressBarTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsProgressBarTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsProgressBarTestingModule, declarations: [BsProgressMockComponent, BsProgressBarMockComponent], imports: [CommonModule], exports: [BsProgressMockComponent, BsProgressBarMockComponent] });
BsProgressBarTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressBarTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsProgressBarTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsProgressMockComponent, BsProgressBarMockComponent],
                    imports: [CommonModule],
                    exports: [BsProgressMockComponent, BsProgressBarMockComponent],
                }]
        }] });

class BsRangeMockComponent {
    constructor() {
        this.min = 0;
        this.max = 10;
        this.step = 1;
    }
}
BsRangeMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsRangeMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsRangeMockComponent, selector: "bs-range", inputs: { min: "min", max: "max", step: "step" }, providers: [
        { provide: BsRangeComponent, useExisting: BsRangeMockComponent },
    ], ngImport: i0, template: "<input type=\"range\">", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-range', providers: [
                        { provide: BsRangeComponent, useExisting: BsRangeMockComponent },
                    ], template: "<input type=\"range\">" }]
        }], propDecorators: { min: [{
                type: Input
            }], max: [{
                type: Input
            }], step: [{
                type: Input
            }] } });

class BsRangeMockValueAccessor {
    registerOnChange(fn) {
        this.onValueChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    writeValue(value) {
    }
    setDisabledState(isDisabled) {
    }
}
BsRangeMockValueAccessor.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeMockValueAccessor, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsRangeMockValueAccessor.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsRangeMockValueAccessor, selector: "bs-range", providers: [{
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => BsRangeMockValueAccessor),
            multi: true,
        }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeMockValueAccessor, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-range',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BsRangeMockValueAccessor),
                            multi: true,
                        }],
                }]
        }] });

class BsRangeTestingModule {
}
BsRangeTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsRangeTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsRangeTestingModule, declarations: [BsRangeMockComponent, BsRangeMockValueAccessor], imports: [CommonModule], exports: [BsRangeMockComponent, BsRangeMockValueAccessor] });
BsRangeTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeTestingModule, providers: [
        { provide: BsRangeComponent, useExisting: BsRangeMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRangeTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsRangeMockComponent, BsRangeMockValueAccessor],
                    imports: [CommonModule],
                    exports: [BsRangeMockComponent, BsRangeMockValueAccessor],
                    providers: [
                        { provide: BsRangeComponent, useExisting: BsRangeMockComponent },
                    ]
                }]
        }] });

class BsRatingMockComponent {
    constructor() {
        this.maximum = 5;
        this.value = 0;
    }
}
BsRatingMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRatingMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsRatingMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsRatingMockComponent, selector: "bs-rating", inputs: { maximum: "maximum", value: "value" }, ngImport: i0, template: "", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRatingMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-rating', template: "" }]
        }], propDecorators: { maximum: [{
                type: Input
            }], value: [{
                type: Input
            }] } });

class BsRatingTestingModule {
}
BsRatingTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRatingTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsRatingTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsRatingTestingModule, declarations: [BsRatingMockComponent], imports: [CommonModule], exports: [BsRatingMockComponent] });
BsRatingTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRatingTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsRatingTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsRatingMockComponent],
                    imports: [CommonModule],
                    exports: [BsRatingMockComponent],
                }]
        }] });

var ESchedulerMode;
(function (ESchedulerMode) {
    ESchedulerMode[ESchedulerMode["week"] = 0] = "week";
    ESchedulerMode[ESchedulerMode["timeline"] = 1] = "timeline";
})(ESchedulerMode || (ESchedulerMode = {}));

class BsSchedulerMockComponent {
    constructor() {
        this.weekOptions = { unitHeight: 40 };
        this.timelineOptions = { unitWidth: 60 };
        this.mode = ESchedulerMode.week;
        this.resources = [];
    }
}
BsSchedulerMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSchedulerMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsSchedulerMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsSchedulerMockComponent, selector: "bs-scheduler", inputs: { weekOptions: "weekOptions", timelineOptions: "timelineOptions", mode: "mode", resources: "resources" }, providers: [
        { provide: BsSchedulerComponent, useExisting: BsSchedulerMockComponent }
    ], ngImport: i0, template: "<p>scheduler works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSchedulerMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-scheduler', providers: [
                        { provide: BsSchedulerComponent, useExisting: BsSchedulerMockComponent }
                    ], template: "<p>scheduler works!</p>\n" }]
        }], propDecorators: { weekOptions: [{
                type: Input
            }], timelineOptions: [{
                type: Input
            }], mode: [{
                type: Input
            }], resources: [{
                type: Input
            }] } });

class BsSchedulerTestingModule {
}
BsSchedulerTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSchedulerTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSchedulerTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsSchedulerTestingModule, declarations: [BsSchedulerMockComponent], imports: [CommonModule], exports: [BsSchedulerMockComponent] });
BsSchedulerTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSchedulerTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSchedulerTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsSchedulerMockComponent],
                    imports: [CommonModule],
                    exports: [BsSchedulerMockComponent],
                }]
        }] });

class BsScrollspyMockDirective {
    constructor(element) {
        this.element = element;
    }
}
BsScrollspyMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyMockDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
BsScrollspyMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsScrollspyMockDirective, selector: "[bsScrollspy]", providers: [
        { provide: BsScrollspyDirective, useExisting: BsScrollspyMockDirective },
    ], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsScrollspy]',
                    providers: [
                        { provide: BsScrollspyDirective, useExisting: BsScrollspyMockDirective },
                    ]
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; } });

class BsScrollspyMockComponent {
    constructor() {
        this.animation = 'slide';
    }
}
BsScrollspyMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsScrollspyMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsScrollspyMockComponent, selector: "bs-scrollspy", inputs: { animation: "animation" }, providers: [
        { provide: BsScrollspyComponent, useExisting: BsScrollspyMockComponent },
    ], queries: [{ propertyName: "directives", predicate: BsScrollspyMockDirective, descendants: true }], ngImport: i0, template: "<ul>\n    <li *ngFor=\"let dir of directives\">\n        {{ dir.element.nativeElement.textContent }}\n    </li>\n</ul>\n<div>\n    <ng-content></ng-content>\n</div>", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-scrollspy', providers: [
                        { provide: BsScrollspyComponent, useExisting: BsScrollspyMockComponent },
                    ], template: "<ul>\n    <li *ngFor=\"let dir of directives\">\n        {{ dir.element.nativeElement.textContent }}\n    </li>\n</ul>\n<div>\n    <ng-content></ng-content>\n</div>" }]
        }], propDecorators: { animation: [{
                type: Input
            }], directives: [{
                type: ContentChildren,
                args: [BsScrollspyMockDirective, { descendants: true }]
            }] } });

class BsScrollspyTestingModule {
}
BsScrollspyTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsScrollspyTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyTestingModule, declarations: [BsScrollspyMockDirective, BsScrollspyMockComponent], imports: [CommonModule], exports: [BsScrollspyMockDirective, BsScrollspyMockComponent] });
BsScrollspyTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyTestingModule, providers: [
        { provide: BsScrollspyDirective, useClass: BsScrollspyMockDirective },
        { provide: BsScrollspyComponent, useClass: BsScrollspyMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsScrollspyTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsScrollspyMockDirective, BsScrollspyMockComponent],
                    imports: [CommonModule],
                    exports: [BsScrollspyMockDirective, BsScrollspyMockComponent],
                    providers: [
                        { provide: BsScrollspyDirective, useClass: BsScrollspyMockDirective },
                        { provide: BsScrollspyComponent, useClass: BsScrollspyMockComponent },
                    ]
                }]
        }] });

class BsSelectMockComponent {
    constructor() {
        this.identifier = 0;
    }
}
BsSelectMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsSelectMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsSelectMockComponent, selector: "bs-select", inputs: { identifier: "identifier" }, providers: [
        { provide: BsSelectComponent, useExisting: BsSelectMockComponent },
    ], ngImport: i0, template: "<select>\n    <ng-content></ng-content>\n</select>  ", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-select', providers: [
                        { provide: BsSelectComponent, useExisting: BsSelectMockComponent },
                    ], template: "<select>\n    <ng-content></ng-content>\n</select>  " }]
        }], propDecorators: { identifier: [{
                type: Input
            }] } });

class BsSelectMockValueAccessor {
    registerOnChange(fn) { }
    registerOnTouched(fn) { }
    writeValue(value) { }
    setDisabledState(isDisabled) { }
}
BsSelectMockValueAccessor.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectMockValueAccessor, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsSelectMockValueAccessor.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsSelectMockValueAccessor, selector: "bs-select", providers: [{
            provide: BsSelectValueAccessor,
            useExisting: BsSelectMockValueAccessor
        }, {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => BsSelectMockValueAccessor),
            multi: true,
        }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectMockValueAccessor, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-select',
                    providers: [{
                            provide: BsSelectValueAccessor,
                            useExisting: BsSelectMockValueAccessor
                        }, {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BsSelectMockValueAccessor),
                            multi: true,
                        }]
                }]
        }] });

class BsSelectOptionMock {
    constructor() {
        this.ngValue = null;
        this.value = null;
    }
    setElementValue(value) { }
}
BsSelectOptionMock.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectOptionMock, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsSelectOptionMock.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsSelectOptionMock, selector: "option", inputs: { ngValue: "ngValue", value: "value" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectOptionMock, decorators: [{
            type: Directive,
            args: [{ selector: 'option' }]
        }], propDecorators: { ngValue: [{
                type: Input,
                args: ['ngValue']
            }], value: [{
                type: Input,
                args: ['value']
            }] } });

class BsSelectTestingModule {
}
BsSelectTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSelectTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsSelectTestingModule, declarations: [BsSelectMockComponent, BsSelectMockValueAccessor, BsSelectOptionMock], imports: [CommonModule], exports: [BsSelectMockComponent, BsSelectMockValueAccessor, BsSelectOptionMock] });
BsSelectTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelectTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsSelectMockComponent, BsSelectMockValueAccessor, BsSelectOptionMock],
                    imports: [CommonModule],
                    exports: [BsSelectMockComponent, BsSelectMockValueAccessor, BsSelectOptionMock],
                }]
        }] });

class BsSelect2Component {
    constructor() {
        this.selectedItems = [];
        this.suggestions = [];
        this.provideSuggestions = new EventEmitter();
    }
}
BsSelect2Component.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelect2Component, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsSelect2Component.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsSelect2Component, selector: "bs-select2", inputs: { selectedItems: "selectedItems", suggestions: "suggestions" }, outputs: { provideSuggestions: "provideSuggestions" }, ngImport: i0, template: "<p>select2 works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelect2Component, decorators: [{
            type: Component,
            args: [{ selector: 'bs-select2', template: "<p>select2 works!</p>\n" }]
        }], propDecorators: { selectedItems: [{
                type: Input
            }], suggestions: [{
                type: Input
            }], provideSuggestions: [{
                type: Output
            }] } });

class BsSelect2TestingModule {
}
BsSelect2TestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelect2TestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSelect2TestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsSelect2TestingModule, declarations: [BsSelect2Component], imports: [CommonModule], exports: [BsSelect2Component] });
BsSelect2TestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelect2TestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSelect2TestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsSelect2Component],
                    imports: [CommonModule],
                    exports: [BsSelect2Component],
                }]
        }] });

class BsSnackbarMockService {
    show(template) {
        return null;
    }
    hide(snackbar) {
    }
}
BsSnackbarMockService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarMockService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BsSnackbarMockService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarMockService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarMockService, decorators: [{
            type: Injectable
        }] });

class BsSnackbarTestingModule {
}
BsSnackbarTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSnackbarTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarTestingModule, imports: [CommonModule] });
BsSnackbarTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarTestingModule, providers: [
        { provide: BsSnackbarService, useClass: BsSnackbarMockService }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSnackbarTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ],
                    providers: [
                        { provide: BsSnackbarService, useClass: BsSnackbarMockService }
                    ]
                }]
        }] });

class BsSpinnerMockComponent {
    constructor() {
        this.type = 'border';
        this.color = Color.primary;
    }
}
BsSpinnerMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSpinnerMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsSpinnerMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsSpinnerMockComponent, selector: "bs-spinner", inputs: { type: "type", color: "color" }, ngImport: i0, template: "<p>spinner works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSpinnerMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-spinner', template: "<p>spinner works!</p>\n" }]
        }], propDecorators: { type: [{
                type: Input
            }], color: [{
                type: Input
            }] } });

class BsSpinnerTestingModule {
}
BsSpinnerTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSpinnerTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSpinnerTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsSpinnerTestingModule, declarations: [BsSpinnerMockComponent], imports: [CommonModule], exports: [BsSpinnerMockComponent] });
BsSpinnerTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSpinnerTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsSpinnerTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsSpinnerMockComponent],
                    imports: [CommonModule],
                    exports: [BsSpinnerMockComponent],
                }]
        }] });

class BsTabControlMockComponent {
    constructor() {
        this.border = true;
    }
}
BsTabControlMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabControlMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTabControlMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsTabControlMockComponent, selector: "bs-tab-control", inputs: { border: "border" }, ngImport: i0, template: "<p>tab-control works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabControlMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tab-control', template: "<p>tab-control works!</p>\n" }]
        }], propDecorators: { border: [{
                type: Input
            }] } });

class BsTabPageMockComponent {
    constructor() {
        this.disabled = false;
    }
}
BsTabPageMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabPageMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTabPageMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsTabPageMockComponent, selector: "bs-tab-page", inputs: { disabled: "disabled" }, ngImport: i0, template: "<p>tab-page works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabPageMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tab-page', template: "<p>tab-page works!</p>\n" }]
        }], propDecorators: { disabled: [{
                type: Input
            }] } });

class BsTabControlTestingModule {
}
BsTabControlTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabControlTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTabControlTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsTabControlTestingModule, declarations: [BsTabControlMockComponent, BsTabPageMockComponent], imports: [CommonModule], exports: [BsTabControlMockComponent, BsTabPageMockComponent] });
BsTabControlTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabControlTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTabControlTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsTabControlMockComponent, BsTabPageMockComponent],
                    imports: [CommonModule],
                    exports: [BsTabControlMockComponent, BsTabPageMockComponent],
                }]
        }] });

class BsTableMockComponent {
    constructor() {
        this.isResponsive = false;
        this.striped = false;
        this.hover = false;
    }
}
BsTableMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTableMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTableMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsTableMockComponent, selector: "bs-table", inputs: { isResponsive: "isResponsive", striped: "striped", hover: "hover" }, providers: [
        { provide: BsTableComponent, useExisting: BsTableMockComponent },
    ], ngImport: i0, template: "<div>\n    <table>\n        <ng-content></ng-content>\n    </table>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTableMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-table', providers: [
                        { provide: BsTableComponent, useExisting: BsTableMockComponent },
                    ], template: "<div>\n    <table>\n        <ng-content></ng-content>\n    </table>\n</div>" }]
        }], propDecorators: { isResponsive: [{
                type: Input
            }], striped: [{
                type: Input
            }], hover: [{
                type: Input
            }] } });

class BsTableTestingModule {
}
BsTableTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTableTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTableTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsTableTestingModule, declarations: [BsTableMockComponent], imports: [CommonModule], exports: [BsTableMockComponent] });
BsTableTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTableTestingModule, providers: [
        { provide: BsTableComponent, useExisting: BsTableMockComponent },
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTableTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsTableMockComponent],
                    imports: [CommonModule],
                    exports: [BsTableMockComponent],
                    providers: [
                        { provide: BsTableComponent, useExisting: BsTableMockComponent },
                    ]
                }]
        }] });

class BsTimepickerMockComponent {
    constructor() {
        this.selectedTime = new Date();
    }
}
BsTimepickerMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTimepickerMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTimepickerMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsTimepickerMockComponent, selector: "bs-timepicker", inputs: { selectedTime: "selectedTime" }, ngImport: i0, template: "<p>timepicker works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTimepickerMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-timepicker', template: "<p>timepicker works!</p>\n" }]
        }], propDecorators: { selectedTime: [{
                type: Input
            }] } });

class BsTimepickerTestingModule {
}
BsTimepickerTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTimepickerTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTimepickerTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsTimepickerTestingModule, declarations: [BsTimepickerMockComponent], imports: [CommonModule], exports: [BsTimepickerMockComponent] });
BsTimepickerTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTimepickerTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTimepickerTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsTimepickerMockComponent],
                    imports: [CommonModule],
                    exports: [BsTimepickerMockComponent],
                }]
        }] });

class BsAddPropertiesMockPipe {
    transform(value, toAdd) {
        return value;
    }
}
BsAddPropertiesMockPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAddPropertiesMockPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsAddPropertiesMockPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsAddPropertiesMockPipe, name: "bsAddProperties" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsAddPropertiesMockPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'bsAddProperties'
                }]
        }] });

class BsToastContainerMockComponent {
    constructor(toastService) {
        this.toastService = toastService;
    }
}
BsToastContainerMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastContainerMockComponent, deps: [{ token: i1$2.BsToastService }], target: i0.ɵɵFactoryTarget.Component });
BsToastContainerMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsToastContainerMockComponent, selector: "bs-toast-container", providers: [
        { provide: BsToastContainerComponent, useExisting: BsToastContainerMockComponent }
    ], ngImport: i0, template: "<ng-container *ngFor=\"let toast of (toastService.toasts$ | async); let i = index\">\n    <ng-container [ngTemplateOutlet]=\"toast.template\" [ngTemplateOutletContext]=\"toast.context | bsAddProperties: {toastIndex: i}\"></ng-container>\n</ng-container>", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: BsAddPropertiesMockPipe, name: "bsAddProperties" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastContainerMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast-container', providers: [
                        { provide: BsToastContainerComponent, useExisting: BsToastContainerMockComponent }
                    ], template: "<ng-container *ngFor=\"let toast of (toastService.toasts$ | async); let i = index\">\n    <ng-container [ngTemplateOutlet]=\"toast.template\" [ngTemplateOutletContext]=\"toast.context | bsAddProperties: {toastIndex: i}\"></ng-container>\n</ng-container>" }]
        }], ctorParameters: function () { return [{ type: i1$2.BsToastService }]; } });

class BsToastHeaderMockComponent {
}
BsToastHeaderMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastHeaderMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToastHeaderMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsToastHeaderMockComponent, selector: "bs-toast-header", providers: [
        { provide: BsToastHeaderComponent, useExisting: BsToastHeaderMockComponent },
    ], ngImport: i0, template: "<ng-content></ng-content>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastHeaderMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast-header', providers: [
                        { provide: BsToastHeaderComponent, useExisting: BsToastHeaderMockComponent },
                    ], template: "<ng-content></ng-content>" }]
        }] });

class BsToastBodyMockComponent {
}
BsToastBodyMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastBodyMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToastBodyMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsToastBodyMockComponent, selector: "bs-toast-body", providers: [
        { provide: BsToastBodyComponent, useExisting: BsToastBodyMockComponent },
    ], ngImport: i0, template: "<ng-content></ng-content>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastBodyMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast-body', providers: [
                        { provide: BsToastBodyComponent, useExisting: BsToastBodyMockComponent },
                    ], template: "<ng-content></ng-content>" }]
        }] });

const PORTAL_FACTORY = new InjectionToken('ToastPortalFactory');

class BsToastMockService {
    constructor(overlayService, rootInjector, portalFactory) {
        this.overlayService = overlayService;
        this.rootInjector = rootInjector;
        this.portalFactory = portalFactory;
    }
    pushToast(toast) {
        const portal = this.portalFactory(this.rootInjector);
        const overlayRef = this.overlayService.create({});
        const component = overlayRef.attach(portal);
    }
}
BsToastMockService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastMockService, deps: [{ token: i1$3.Overlay }, { token: i0.Injector }, { token: PORTAL_FACTORY }], target: i0.ɵɵFactoryTarget.Injectable });
BsToastMockService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastMockService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastMockService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$3.Overlay }, { type: i0.Injector }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PORTAL_FACTORY]
                }] }]; } });

class BsToastTestingModule {
}
BsToastTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsToastTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsToastTestingModule, declarations: [BsToastContainerMockComponent,
        BsToastBodyMockComponent,
        BsToastHeaderMockComponent,
        BsToastBodyMockComponent,
        BsAddPropertiesMockPipe], imports: [CommonModule], exports: [BsToastContainerMockComponent,
        BsToastBodyMockComponent,
        BsToastHeaderMockComponent,
        BsToastBodyMockComponent,
        BsAddPropertiesMockPipe] });
BsToastTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastTestingModule, providers: [
        { provide: BsToastService, useClass: BsToastMockService },
        { provide: BsAddPropertiesPipe, useClass: BsAddPropertiesMockPipe },
        {
            provide: PORTAL_FACTORY,
            useValue: (injector) => {
                return new ComponentPortal(BsToastContainerMockComponent, null, injector);
            }
        }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsToastContainerMockComponent,
                        BsToastBodyMockComponent,
                        BsToastHeaderMockComponent,
                        BsToastBodyMockComponent,
                        BsAddPropertiesMockPipe,
                    ],
                    imports: [CommonModule],
                    exports: [
                        BsToastContainerMockComponent,
                        BsToastBodyMockComponent,
                        BsToastHeaderMockComponent,
                        BsToastBodyMockComponent,
                        BsAddPropertiesMockPipe,
                    ],
                    providers: [
                        { provide: BsToastService, useClass: BsToastMockService },
                        { provide: BsAddPropertiesPipe, useClass: BsAddPropertiesMockPipe },
                        {
                            provide: PORTAL_FACTORY,
                            useValue: (injector) => {
                                return new ComponentPortal(BsToastContainerMockComponent, null, injector);
                            }
                        }
                    ]
                }]
        }] });

class BsToastMockComponent {
    constructor() {
        this.isVisible = false;
    }
}
BsToastMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToastMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsToastMockComponent, selector: "bs-toast", inputs: { isVisible: "isVisible" }, providers: [
        { provide: BsToastComponent, useExisting: BsToastMockComponent },
    ], ngImport: i0, template: "<div [class.show]=\"isVisible\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToastMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast', providers: [
                        { provide: BsToastComponent, useExisting: BsToastMockComponent },
                    ], template: "<div [class.show]=\"isVisible\">\n    <ng-content></ng-content>\n</div>" }]
        }], propDecorators: { isVisible: [{
                type: Input
            }] } });

class BsToggleButtonGroupMockDirective {
}
BsToggleButtonGroupMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonGroupMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsToggleButtonGroupMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsToggleButtonGroupMockDirective, selector: "[bsToggleButtonGroup]", providers: [
        { provide: BsToggleButtonGroupDirective, useExisting: BsToggleButtonGroupMockDirective }
    ], queries: [{ propertyName: "toggleButtons", predicate: BsToggleButtonComponent, descendants: true }], exportAs: ["bsToggleButtonGroup"], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonGroupMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsToggleButtonGroup]',
                    providers: [
                        { provide: BsToggleButtonGroupDirective, useExisting: BsToggleButtonGroupMockDirective }
                    ],
                    exportAs: 'bsToggleButtonGroup'
                }]
        }], propDecorators: { toggleButtons: [{
                type: ContentChildren,
                args: [BsToggleButtonComponent, { descendants: true }]
            }] } });

class BsToggleButtonMockValueAccessor {
    registerOnChange(fn) {
        this.onValueChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    writeValue(value) {
    }
    setDisabledState(isDisabled) {
    }
}
BsToggleButtonMockValueAccessor.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonMockValueAccessor, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsToggleButtonMockValueAccessor.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsToggleButtonMockValueAccessor, selector: "bs-toggle-button", providers: [{
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => BsToggleButtonMockValueAccessor),
            multi: true,
        }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonMockValueAccessor, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-toggle-button',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BsToggleButtonMockValueAccessor),
                            multi: true,
                        }],
                }]
        }] });

class BsToggleButtonMockComponent {
    constructor() {
        this.isToggledChange = new EventEmitter();
        this.isToggled = false;
        this.round = true;
        this.disabled = false;
        this.group = null;
        this.type = 'checkbox';
        this.value = null;
        this.name = null;
    }
}
BsToggleButtonMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToggleButtonMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsToggleButtonMockComponent, selector: "bs-toggle-button", inputs: { isToggled: "isToggled", round: "round", disabled: "disabled", group: "group", type: "type", value: "value", name: "name" }, outputs: { isToggledChange: "isToggledChange" }, providers: [
        { provide: BsToggleButtonComponent, useExisting: BsToggleButtonMockComponent }
    ], ngImport: i0, template: "<p>toggle-button works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toggle-button', providers: [
                        { provide: BsToggleButtonComponent, useExisting: BsToggleButtonMockComponent }
                    ], template: "<p>toggle-button works!</p>\n" }]
        }], propDecorators: { isToggledChange: [{
                type: Output
            }], isToggled: [{
                type: Input
            }], round: [{
                type: Input
            }], disabled: [{
                type: Input
            }], group: [{
                type: Input
            }], type: [{
                type: Input
            }], value: [{
                type: Input
            }], name: [{
                type: Input
            }] } });

class BsToggleButtonTestingModule {
}
BsToggleButtonTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsToggleButtonTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonTestingModule, declarations: [BsToggleButtonMockComponent, BsToggleButtonGroupMockDirective, BsToggleButtonMockValueAccessor], imports: [CommonModule], exports: [BsToggleButtonMockComponent, BsToggleButtonGroupMockDirective, BsToggleButtonMockValueAccessor] });
BsToggleButtonTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsToggleButtonTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsToggleButtonMockComponent, BsToggleButtonGroupMockDirective, BsToggleButtonMockValueAccessor],
                    imports: [CommonModule],
                    exports: [BsToggleButtonMockComponent, BsToggleButtonGroupMockDirective, BsToggleButtonMockValueAccessor],
                }]
        }] });

class BsTooltipMockDirective {
    constructor() {
        this.bsTooltip = 'bottom';
    }
}
BsTooltipMockDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTooltipMockDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsTooltipMockDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.0.4", type: BsTooltipMockDirective, selector: "*[bsTooltip]", inputs: { bsTooltip: "bsTooltip" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTooltipMockDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[bsTooltip]'
                }]
        }], propDecorators: { bsTooltip: [{
                type: Input
            }] } });

class BsTooltipTestingModule {
}
BsTooltipTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTooltipTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTooltipTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsTooltipTestingModule, declarations: [BsTooltipMockDirective], imports: [CommonModule], exports: [BsTooltipMockDirective] });
BsTooltipTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTooltipTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTooltipTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTooltipMockDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsTooltipMockDirective
                    ]
                }]
        }] });

class BsTypeaheadMockComponent {
    constructor() {
        this.searchterm = '';
        this.searchtermChange = new EventEmitter();
        this.provideSuggestions = new EventEmitter();
        this.suggestions = [];
        this.submitted = new EventEmitter();
        this.suggestionSelected = new EventEmitter();
    }
}
BsTypeaheadMockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTypeaheadMockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTypeaheadMockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.0.4", type: BsTypeaheadMockComponent, selector: "bs-typeahead", inputs: { searchterm: "searchterm", suggestions: "suggestions" }, outputs: { searchtermChange: "searchtermChange", provideSuggestions: "provideSuggestions", submitted: "submitted", suggestionSelected: "suggestionSelected" }, ngImport: i0, template: "<div>\n    <input type=\"text\">\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTypeaheadMockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-typeahead', template: "<div>\n    <input type=\"text\">\n</div>" }]
        }], propDecorators: { searchterm: [{
                type: Input
            }], searchtermChange: [{
                type: Output
            }], provideSuggestions: [{
                type: Output
            }], suggestions: [{
                type: Input
            }], submitted: [{
                type: Output
            }], suggestionSelected: [{
                type: Output
            }] } });

class BsTypeaheadTestingModule {
}
BsTypeaheadTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTypeaheadTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTypeaheadTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: BsTypeaheadTestingModule, declarations: [BsTypeaheadMockComponent], imports: [CommonModule], exports: [BsTypeaheadMockComponent] });
BsTypeaheadTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTypeaheadTestingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: BsTypeaheadTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsTypeaheadMockComponent],
                    imports: [CommonModule],
                    exports: [BsTypeaheadMockComponent],
                }]
        }] });

class UcFirstMockPipe {
    transform(value, ...args) {
        return value[0].toUpperCase() + value.slice(1);
    }
}
UcFirstMockPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: UcFirstMockPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
UcFirstMockPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: UcFirstMockPipe, name: "ucFirst" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: UcFirstMockPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'ucFirst'
                }]
        }] });

class UcFirstTestingModule {
}
UcFirstTestingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: UcFirstTestingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UcFirstTestingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: UcFirstTestingModule, declarations: [UcFirstMockPipe], imports: [CommonModule], exports: [UcFirstMockPipe] });
UcFirstTestingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: UcFirstTestingModule, providers: [
        { provide: UcFirstPipe, useClass: UcFirstMockPipe }
    ], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: UcFirstTestingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UcFirstMockPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    providers: [
                        { provide: UcFirstPipe, useClass: UcFirstMockPipe }
                    ],
                    exports: [
                        UcFirstMockPipe
                    ],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BsAccordionMockComponent, BsAccordionTabHeaderMockComponent, BsAccordionTabMockComponent, BsAccordionTestingModule, BsAddPropertiesMockPipe, BsAlertCloseMockComponent, BsAlertMockComponent, BsAlertTestingModule, BsBadgeMockComponent, BsBadgeTestingModule, BsBreadcrumbItemMockComponent, BsBreadcrumbMockComponent, BsBreadcrumbTestingModule, BsButtonGroupMockComponent, BsButtonGroupTestingModule, BsButtonTypeMockDirective, BsButtonTypeTestingModule, BsCalendarMockComponent, BsCalendarTestingModule, BsCardHeaderMockComponent, BsCardMockComponent, BsCardTestingModule, BsCarouselImageMockDirective, BsCarouselMockComponent, BsCarouselTestingModule, BsCloseMockComponent, BsCloseTestingModule, BsCodeSnippetMockComponent, BsCodeSnippetTestingModule, BsColumnMockDirective, BsContextMenuMockDirective, BsContextMenuTestingModule, BsCopyMockDirective, BsCopyTestingModule, BsDatatableColumnMockDirective, BsDatatableMockComponent, BsDatatableTestingModule, BsDatepickerMockComponent, BsDatepickerTestingModule, BsDropdownItemMockComponent, BsDropdownMenuMockComponent, BsDropdownMenuMockDirective, BsDropdownMenuTestingModule, BsDropdownMockDirective, BsDropdownTestingModule, BsDropdownToggleMockDirective, BsFileUploadMockComponent, BsFileUploadTemplateMockDirective, BsFileUploadTestingModule, BsForMockDirective, BsForTestingModule, BsGridMockComponent, BsGridTestingModule, BsHasOverlayMockComponent, BsHasOverlayTestingModule, BsInputGroupMockComponent, BsInputGroupTestingModule, BsListGroupItemMockComponent, BsListGroupMockComponent, BsListGroupTestingModule, BsModalHostMockComponent, BsModalTestingModule, BsMultiselectMockComponent, BsMultiselectTestingModule, BsNavbarBrandMockComponent, BsNavbarDropdownMockComponent, BsNavbarItemMockComponent, BsNavbarMockComponent, BsNavbarNavMockComponent, BsNavbarTestingModule, BsOffcanvasContentMockDirective, BsOffcanvasHostMockComponent, BsOffcanvasTestingModule, BsPaginationMockComponent, BsPaginationTestingModule, BsPlaceholderMockComponent, BsPlaceholderTestingModule, BsPopoverMockDirective, BsPopoverTestingModule, BsProgressBarMockComponent, BsProgressBarTestingModule, BsProgressMockComponent, BsRangeMockComponent, BsRangeMockValueAccessor, BsRangeTestingModule, BsRatingMockComponent, BsRatingTestingModule, BsRowMockDirective, BsRowTemplateMockDirective, BsSchedulerMockComponent, BsSchedulerTestingModule, BsScrollspyMockComponent, BsScrollspyMockDirective, BsScrollspyTestingModule, BsSelect2Component, BsSelect2TestingModule, BsSelectMockComponent, BsSelectMockValueAccessor, BsSelectOptionMock, BsSelectTestingModule, BsSnackbarMockService, BsSnackbarTestingModule, BsSpinnerMockComponent, BsSpinnerTestingModule, BsTabControlMockComponent, BsTabControlTestingModule, BsTabPageMockComponent, BsTableMockComponent, BsTableTestingModule, BsTimepickerMockComponent, BsTimepickerTestingModule, BsToastBodyMockComponent, BsToastContainerMockComponent, BsToastHeaderMockComponent, BsToastMockComponent, BsToastMockService, BsToastTestingModule, BsToggleButtonGroupMockDirective, BsToggleButtonMockComponent, BsToggleButtonMockValueAccessor, BsToggleButtonTestingModule, BsTooltipMockDirective, BsTooltipTestingModule, BsTypeaheadMockComponent, BsTypeaheadTestingModule, Color, DatatableSettingsMock, ESchedulerMode, EnhancedPasteMockDirective, EnhancedPasteTestingModule, HighlightMockDirective, HighlightTestingModule, NavbarContentMockDirective, PORTAL_FACTORY, UcFirstMockPipe, UcFirstTestingModule };
//# sourceMappingURL=mintplayer-ng-bootstrap-testing.mjs.map
